Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.jsp.wb
Class TableControl

`java.lang.Object
oracle.jdeveloper.html.HTMLElement
oracle.jdeveloper.html.HTMLTable
oracle.jdeveloper.jsp.wb.TableControl`

All Implemented Interfaces:
  WebBean, WebBean

public class TableControl
extends HTMLTable
implements WebBean

A Web Bean class that provides methods to dynamically generate an HTML table and render it to the output stream of a JSP response. You populate the TableControl by adding instances of `HTMLTableRow` to it.

Field Summary
`protected WebBeanImpl` | `webBean`

Fields inherited from class oracle.jdeveloper.html.HTMLTable
`Headers, Rows, Title, useBorder`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, defaultNLSFormat, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`TableControl()`

Method Summary
`java.lang.String` | `getImageBase()`
`void` | `initialize(javax.servlet.jsp.PageContext page)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.jsp.JspWriter out)` Initializes the TableControl to have access to the important objects of the JSP page.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.io.PrintWriter out)` Initializes the TableControl to have access to the important objects of the JSP page.
`void` | `internalInitialize()` Internal initialize.
`void` | `render()` Renders the table to the output stream of the JSP's response.
`void` | `render(java.io.PrintWriter out)` This is where the main entry point for rendering the HTML content.
`protected void` | `renderContainerFooter(java.io.PrintWriter out)` Renders the container footer that follows the table elements
`void` | `renderContainerHeader(java.io.PrintWriter out)` Renders the container header.
`void` | `setImageBase(java.lang.String sBase)` Sets the image base URL needed to resolve the HTML FORM's images for the rounded corners.
`void` | `setUsedInTag(boolean isUsedInTag)`
`void` | `setUseRoundedCorners(boolean bSet)` Enables/Disables the use of rounded corders in the HTML table generated by this Web Bean

Methods inherited from class oracle.jdeveloper.html.HTMLTable
`addFixedHeader, addHeader, addHeader, addHeader, addHeaderRow, addRow, getWidth, insertRow, setTitle, setUseBorder, setWidth`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, quote, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### webBean

    protected WebBeanImpl webBean

Constructor Detail

### TableControl

    public TableControl()

Method Detail

### setUseRoundedCorners

    public void setUseRoundedCorners(boolean bSet)

  Enables/Disables the use of rounded corders in the HTML table generated by this Web Bean

### getImageBase

    public java.lang.String getImageBase()

  Returns:
    the URL being used as the base for retriving images needed in order to implement the rounded corner surrounding the generated HTML form.

### setImageBase

    public void setImageBase(java.lang.String sBase)

  Sets the image base URL needed to resolve the HTML FORM's images for the rounded corners.
  Parameters:
    `sBase` - URL where the images are stored. The default is '/webapp/images'

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           java.io.PrintWriter out)
                    throws java.lang.Exception

  Initializes the TableControl to have access to the important objects of the JSP page.
  Specified by:
    `initialize` in interface `WebBean`
  Parameters:
    `application` - the JSP page's ServletContext
    `session` - the JSP page's HttpSession
    `request` - the JSP page's HttpServletRequest
    `response` - the JSP page's HttpServletResponse
    `out` - the PrintWriter to render to
  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           javax.servlet.jsp.JspWriter out)
                    throws java.lang.Exception

  Initializes the TableControl to have access to the important objects of the JSP page.
  Parameters:
    `application` - the JSP page's ServletContext
    `session` - the JSP page's HttpSession
    `request` - the JSP page's HttpServletRequest
    `response` - the JSP page's HttpServletResponse
    `out` - the JSP page's JspWriter
  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(javax.servlet.jsp.PageContext page)
                    throws java.lang.Exception

  Description copied from interface: `WebBean`
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Specified by:
    `initialize` in interface `WebBean`
  Parameters:
    `page` - the JSP page's ServletContext.
  Throws:
    `java.lang.Exception`

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Description copied from interface: `WebBean`
  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Specified by:
    `internalInitialize` in interface `WebBean`
  Throws:
    `java.lang.Exception`

### renderContainerHeader

    public void renderContainerHeader(java.io.PrintWriter out)

  Renders the container header. This generates the HTML code that precedes the table elements.

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Renders the container footer that follows the table elements

### render

    public void render()
                throws java.lang.Exception

  Renders the table to the output stream of the JSP's response.
  Specified by:
    `render` in interface `WebBean`
  Throws:
    `java.lang.Exception`

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  This is where the main entry point for rendering the HTML content.
  Specified by:
    `render` in interface `WebBean`
  Overrides:
    `render` in class `HTMLTable`
  Throws:
    `java.lang.Exception`

### setUsedInTag

    public void setUsedInTag(boolean isUsedInTag)

  Specified by:
    `setUsedInTag` in interface `WebBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.